function DecodeMOD(method)
	if (method == 0) then
		return "Unknown"
	elseif (method == 1) then
		return "Stun Baton"
	elseif (method == 2) then
		return "Melee"
	elseif (method == 3) then
		return "Saber"
	elseif (method == 4 or method == 5) then
		return "Bryar Pistol"
	elseif (method == 6 or method == 7) then
		return "Blaster"
	elseif (method == 8 or method == 9 or method == 10) then
		return "Disruptor"
	elseif (method == 11) then
		return "Bowcaster"
	elseif (method == 12 or method == 13 or method == 14) then
		return "Heavy Repeater"
	elseif (method == 15 or method == 16) then
		return "DEMP2"
	elseif (method == 17 or method == 18) then
		return "Flechette"
	elseif (method == 19 or method == 20 or method == 21 or method == 22) then
		return "Rocket"
	elseif (method == 23 or method == 24) then
		return "Thermal Grenades"
	elseif (method == 25) then
		return "Tripmine"
	elseif (method == 26) then
		return "Timed Mine"
	elseif (method == 27) then
		return "Detonation Pack"
	elseif (method == 28) then
		return "Vehicle"
	elseif (method == 29 or method == 30) then
		return "Concussion Rifle"
	elseif (method == 31) then
		return "Force"
	elseif (method == 32) then
		return "Sentry"
	elseif (method == 33) then
		return "Water"
	elseif (method == 34) then
		return "Slime"
	elseif (method == 35) then
		return "Lava"
	elseif (method == 36) then
		return "Crush"
	elseif (method == 37) then
		return "Teleport"
	elseif (method == 38) then
		return "Falling"
	elseif (method == 39) then
		return "Suicide"
	elseif (method == 41) then
		return "Trigger"
	end
end
